<?php
/**
* Plugin Name: DC Oneclick
* Plugin URI: https://digicorner.hu
* Description: Use admin menu from frontend quick menu. Customize the quick menu form admin.
* Version: 1.0
* Author: DC
* Author URI: https://digicorner.hu
* Text Domain: oneclick
*/
define('ONECLICK_VERSION', '1.0');

class oneclick {
	public function __construct(){
		// Initialize oneclick plugin
		$this->init();
	}

	private function init(){
		// Load only required codes
		if(is_admin()){
			// Load admin init
			require_once(plugin_dir_path( __FILE__ ) . 'classes/admin.init.php');
			new oneclickAdminInit;
		} else {
			// Load frontend init
			require_once(plugin_dir_path( __FILE__ ) . 'classes/frontend.init.php');
			new oneclickFrontendInit;
		}
	}
}

new oneclick;